Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77028 - [PATCH] Remove work-around no longer needed so GDM works w/ Xvnc
Summary: [PATCH] Remove work-around no longer needed so GDM works w/ Xvnc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vnc
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-31 04:04 UTC by Dax Kelson
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-08 15:09:05 UTC


Attachments (Terms of Use)
Patch Xvnc to remove old work-around no longer needed that causes problems with GDM (deleted)
2002-10-31 04:05 UTC, Dax Kelson
no flags Details | Diff

Description Dax Kelson 2002-10-31 04:04:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
It is possible to configure a display manger to launch Xvnc instead the regular
Xserver. This works with xdm for example, but not with gdm.

Looking into it I found an old hack that was applied to Xvnc to work around a
LinuxThreads bug that is no longer needed. Removing this hack makes Xvnc and gdm
work together.

Here is the patch.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure GDM to launch Xvnc
2.Notice that it doesn't work
3.Apply patch, recompile Xvnc, it now works.
	

Actual Results:  n/a

Expected Results:  n/a

Additional info:

diff -ur vnc_unixsrc/Xvnc/programs/Xserver/os/connection.c
vnc_unixsrc-gurulabs/Xvnc/programs/Xserver/os/connection.c
--- vnc_unixsrc/Xvnc/programs/Xserver/os/connection.c   Mon May 11 11:02:17 1998
+++ vnc_unixsrc-gurulabs/Xvnc/programs/Xserver/os/connection.c  Tue Oct 15
16:22:27 2002
@@ -379,7 +379,7 @@
    BEGIN ORL VNC modification
    Don't use SIGUSR1 - linuxthread uses this internally */

-/* REMOVE
+/* no longer true 10/15/02 */
     if (OsSignal (SIGUSR1, SIG_IGN) == SIG_IGN)
    RunFromSmartParent = TRUE;
     ParentProcess = getppid ();
@@ -388,7 +388,6 @@
        kill (ParentProcess, SIGUSR1);
    }
     }
-*/

 /* END ORL VNC modification
 ================================================================*/

Comment 1 Dax Kelson 2002-10-31 04:05:42 UTC
Created attachment 82805 [details]
Patch Xvnc to remove old work-around no longer needed that causes problems with GDM

Comment 2 Tim Waugh 2002-11-21 12:17:18 UTC
Fixed in 3.3.3r2-41, which will appear in rawhide shortly.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.